=== plugins/global/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"ksysguard_plugins_global\")
add_subdirectory(nvidia)
add_subdirectory(ksgrd)
add_subdirectory(osinfo)
add_subdirectory(network)
