=== debian/changelog ===
ksysguard (4:5.20.5-2) unstable; urgency=medium

  * Team upload.
  * Update renamed lintian tag names in lintian overrides.
  * Build again on non-Linux architectures:
    - add the dh-exec build dependency
    - limit the libkf5networkmanagerqt-dev, and libnl-3-dev build dependencies
      as linux-any, as they exist only on Linux
    - make debian/ksysguard.install executable, and limit few files as
      linux-any
    - in ksysguard.postinst, attept the setcap only on Linux systems, as the
      helper exists only on Linux
  * Explicitly add the pkg-config build dependency.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jan 2021 23:15:11 +0100

ksysguard (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

ksysguard (4:5.20.4-3) unstable; urgency=medium

  * Build and install per process network monitoring plugin
    (thanks to Rik Mills, implementation from Ubuntu)
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Mon, 28 Dec 2020 10:09:44 +0900

ksysguard (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

ksysguard (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update list of installed files.
  * Clean up and update lintian overrides.

  [ Aurélien COUDERC ]
  * Add build dependency to libkf5networkmanagerqt-dev according to the
    upstream build system.

  [ Pino Toscano ]
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

ksysguard (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:22 +0900

ksysguard (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:40 +0900

ksysguard (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.
  * Update copyright for appdata.xml.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:38:33 +0900

ksysguard (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * New upstream release (5.18.5).
  * Bump compat level to 13.
  * Remove not needed injection of linker flags.
  * Add Rules-Requires-Root field to control.
  * Add myself to Uploaders.
  * Update build-deps and deps with the info from cmake.
  * Update control homepage to point to the plasma application
    page as per appstream metadata.
  * Update all upstream repo references to point to new invent.kde.org.
    - Copyright: Source
    - upstream/metadata: Repository*, Changelog.
  * Refresh install file ksysguard, wrap-and-sort.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update Qt build-deps with the info from cmake.
  * Update list of installed files.
  * Bump dep on libkfsysguard to get CMakefile snippets.
  * Disable autotests for the time being, they fail.
  * Update lintian warnings overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 07 Oct 2020 13:05:20 +0900

ksysguard (4:5.17.5-3) unstable; urgency=medium

  * Team upload.
  * Build ksysguard also on non-Linux architectures: limit the libcap-dev,
    libcap2-bin, and libsensors-dev build dependencies as linux-any.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Feb 2020 07:56:24 +0100

ksysguard (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 20:55:58 +0100

ksysguard (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Drop the migration from ksysguard-dbg, no more needed after two Debian
    stable releases.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Update the build dependencies according to the upstream build system:
    - bump libkf5sysguard-dev to 5.17
    - add libcap-dev, libcap2-bin, and libpcap0.8-dev
    - remove unused libkf5kdelibs4support-dev
    - switch from libsensors4-dev to libsensors-dev (Closes: #917439)
    - explicitly add gettext
  * Update install files.
  * Unregister ksysguard.knsrc as conffile, as it is no more in /etc.
  * There are no unit tests to run, so:
    - drop the xauth, and xvfb build dependencies
    - stop running dh_auto_test with xvfb-run
  * Bump Standards-Version to 4.4.1, no changes required.
  * Stop using the ${shlibs:Depends} substvar in ksysguard-data, as it does not
    exist.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jan 2020 08:27:32 +0100
