## ksysguard 5.21.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(ksysguard)
-set(PROJECT_VERSION "5.20.5")
+set(PROJECT_VERSION "5.21.4")
 
 set(KSYSGUARD_VERSION 4.98.0)
 set(KSYSGUARD_STRING_VERSION "${KSYSGUARD_VERSION}")
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.74")
+set(KF5_MIN_VERSION "5.78")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -38,6 +38,7 @@
     KIO
     NewStuff
     Notifications
+    Solid
     WindowSystem
 )
 
@@ -67,19 +68,22 @@
                        TYPE OPTIONAL
                        PURPOSE "Allows to show sensor information")
 
-find_package(libpcap)
-set_package_properties(
-    libpcap PROPERTIES
-    TYPE RECOMMENDED
-    PURPOSE "libpcap is used for per-application network usage."
-)
+if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+    find_package(NL)
+    set_package_properties(NL PROPERTIES
+        TYPE REQUIRED
+        PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem and for the network plugin when NetworkManagerQt is not available."
+        URL "https://github.com/thom311/libnl/"
+    )
+    find_package(libpcap)
+    set_package_properties(
+        libpcap PROPERTIES
+        TYPE RECOMMENDED
+        PURPOSE "libpcap is used for per-application network usage."
+    )
+endif()
 
-find_package(NL)
-set_package_properties(NL PROPERTIES
-    TYPE RECOMMENDED
-    PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem."
-)
-if(libpcap_FOUND AND NL_FOUND)
+if(libpcap_FOUND )
     set(BUILD_NETWORK_PLUGIN TRUE)
 endif()
 
@@ -90,6 +94,13 @@
         PURPOSE "Needed for setting capabilities of the per-application network plugin."
     )
 endif()
+
+find_package(UDev)
+set_package_properties(
+    UDev PROPERTIES
+    TYPE RECOMMENDED
+    PURPOSE "UDev is used for finding graphics cards."
+)
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
