=== debian/control ===
--- 
+++ 
@@ -24,14 +24,17 @@
                libkf5networkmanagerqt-dev (>= 5.74~) [linux-any],
                libkf5newstuff-dev (>= 5.74~),
                libkf5notifications-dev (>= 5.74~),
-               libkf5sysguard-dev (>= 4:5.19~),
+               libkf5solid-dev (>= 5.74~),
+               libkf5sysguard-dev (>= 4:5.21.4~),
                libkf5windowsystem-dev (>= 5.74~),
                libnl-3-dev [linux-any],
+               libnl-route-3-dev,
                libpcap0.8-dev,
                libsensors-dev [linux-any],
+               libudev-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.15.0~)
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Homepage: https://www.kde.org/applications/system/ksysguard
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksysguard
