## ksysguard 5.22.0

=== debian/changelog ===
ksysguard (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.00)
  * Update build depends.
  * Update install files.
  * Drop ksysguard.postinst.in as ksgrd_network_helper is now in
    libkf5sysguard-bin.
  * Update watch file.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 17:03:56 +0100

ksysguard (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)
  * debian/control: For now do not use arch: linux-any

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:02:27 +0100
