=== debian/control ===
--- 
+++ 
@@ -8,29 +8,29 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                dh-exec,
-               extra-cmake-modules (>= 5.74~),
+               extra-cmake-modules (>= 5.82~),
                gettext,
-               kinit-dev (>= 5.74~),
-               libcap-dev [linux-any],
-               libcap2-bin [linux-any],
-               libkf5config-dev (>= 5.74~),
-               libkf5coreaddons-dev (>= 5.74~),
-               libkf5dbusaddons-dev (>= 5.74~),
-               libkf5doctools-dev (>= 5.74~),
-               libkf5i18n-dev (>= 5.74~),
-               libkf5iconthemes-dev (>= 5.74~),
-               libkf5itemviews-dev (>= 5.74~),
-               libkf5kio-dev (>= 5.74~),
-               libkf5networkmanagerqt-dev (>= 5.74~) [linux-any],
-               libkf5newstuff-dev (>= 5.74~),
-               libkf5notifications-dev (>= 5.74~),
-               libkf5solid-dev (>= 5.74~),
-               libkf5sysguard-dev (>= 4:5.21.4~),
-               libkf5windowsystem-dev (>= 5.74~),
-               libnl-3-dev [linux-any],
+               kinit-dev (>= 5.82~),
+               libcap-dev,
+               libcap2-bin,
+               libkf5config-dev (>= 5.82~),
+               libkf5coreaddons-dev (>= 5.82~),
+               libkf5dbusaddons-dev (>= 5.82~),
+               libkf5doctools-dev (>= 5.82~),
+               libkf5i18n-dev (>= 5.82~),
+               libkf5iconthemes-dev (>= 5.82~),
+               libkf5itemviews-dev (>= 5.82~),
+               libkf5kio-dev (>= 5.82~),
+               libkf5networkmanagerqt-dev (>= 5.82~),
+               libkf5newstuff-dev (>= 5.82~),
+               libkf5notifications-dev (>= 5.82~),
+               libkf5solid-dev (>= 5.82~),
+               libkf5sysguard-dev (>= 4:5.21.90~),
+               libkf5windowsystem-dev (>= 5.82~),
+               libnl-3-dev,
                libnl-route-3-dev,
                libpcap0.8-dev,
-               libsensors-dev [linux-any],
+               libsensors-dev,
                libudev-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
