=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/ksysguard/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
